<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-header](./foundation-header.md)

## foundation-header package

## Classes

|  Class | Description |
|  --- | --- |
|  [Navigation](./foundation-header.navigation.md) | Navigation micro-frontend includes navigation bar and flyout menu |

## Variables

|  Variable | Description |
|  --- | --- |
|  [MainStyles](./foundation-header.mainstyles.md) | Base styles for the foundation-header |
|  [NavTemplate](./foundation-header.navtemplate.md) | Template for Navigation class |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [NavEventDetailMap](./foundation-header.naveventdetailmap.md) | Events dispatched by the navigation control buttons |

